Click here to Download AFE i-Trade Application (Require JRE 1.7) for Windows

Click here to Download AFE i-Trade Application (Require JRE 1.7) for MAC

If you do not have JRE installed,

Please click here to download JRE 1.7 32 bits